Bug 257075 - Amarok does not support loading files over kio
Summary: Amarok does not support loading files over kio
Status: RESOLVED NOT A BUG
Alias: None
Product: amarok
Classification: Unclassified
Component: Playback (show other bugs)
Version: 2.3.2
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-16 17:23 UTC by Christian Weilbach
Modified: 2011-07-16 08:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weilbach 2010-11-16 17:23:49 UTC
Version:           2.3.2 (using KDE 4.5.3) 
OS:                Linux

Try to "amarok -l 'sftp://remotehost/my/file.mp3'" with some example file and amarok simply won't load it. It does not even replace the playlist with me.

Reproducible: Always

Steps to Reproduce:
Try to add a file which is not supported by the phonon-backend by default, e.g. http, to be sure that you are trying to use the KIO-Phonon fallback. kde-open copies the file and opens it in audacity for me, so there is nothing deeper failing.

Actual Results:  
No loading, no playback.

Expected Results:  
Loading into the playlist and playback.

This would really be handy not so much for sftp, but for smb:/ and especially for a pet project of mine, where you can stream load files from a torrent through KTorrent and open them transparently through kio with a "magnet://"-link reference (works similar to http:// links). Loading audio files from a torrent (especially once the slave properly supports directory listing) would allow to directly playback any file from the torrent, for example the ones from Jamendo.
Comment 1 Myriam Schweingruber 2011-05-07 11:31:50 UTC
Could you please upgrade to a newer Amarok version and test again? Current is Amarok 2.4.0, Amarok 2.4.1 is to be released tomorrow.

Please report back.
Comment 2 Myriam Schweingruber 2011-06-16 15:05:13 UTC
Any news on this? Without feedback within 2 weeks I will close this as fixed.
Comment 3 Myriam Schweingruber 2011-07-16 08:53:32 UTC
Closing for lack of feedback. Feel free to reopen if you can still reproduce
this with Amarok 2.4.2 beta 1 or later and provide the necessary feedback.